Android M (preview) - Heads up.

Discussion in 'Chit Chat' started by NJDude, May 31, 2015.

  1. NJDude

    NJDude Expert Licensed User

    I've been testing "M" and B4A, everything so far looks ok, but, there are certain things that are NOT working, for example the HTTP Library, so, if you get some errors don't panic, it's just Google being Google.

    Just a heads up.
     
  2. Erel

    Erel Administrator Staff Member Licensed User

    Which errors do you get?
     
  3. NJDude

    NJDude Expert Licensed User

    The error can be seen HERE
     
    lemonisdead, thedesolatesoul and Erel like this.
  4. Erel

    Erel Administrator Staff Member Licensed User

    lemonisdead and thedesolatesoul like this.
  5. thedesolatesoul

    thedesolatesoul Expert Licensed User

    I'm guessing that any other library that imports the org.apache.http libraries is not going to compile against AndroidM/API23?
    You would need to specifically add these as DependsOn. I'm not sure if this is usual/expected as many SDKs do provide their own versions of the http libraries.
     
  6. Erel

    Erel Administrator Staff Member Licensed User

    I'm not 100% sure that they will remove it from Android 6. If they do remove it then it will be difficult to use HttpClient as you will only be able to manually add it to Android 6+ devices. This means that you will need to create two apps, one for Android 5- and one for 6+. Not very good.
     
Loading...
  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice